* {
    /* https: //www.cursors-4u.com/cursor/2005/04/22/mec11-11.html */
    cursor: url(https://cur.cursors-4u.net/mechanics/mec-1/mec11.cur), auto !important;
    scrollbar-color: #9404bc #000000;
}

#s-m-t-tooltip {
    font-family: 'Pixel Operator Bold';
    font-weight: normal;
    font-size: 14px;
    line-height: 14px;

    border-color: #9404bc;
    box-shadow: 2px 2px 5px 1px #f0b400;
}

::selection {
    color: #9404bc;
    background: #f0b400;
}

::-moz-selection {
    /* Code for Firefox */
    color: #9404bc;
    background: #f0b400;
}

body {
    background-image: url('/shrines/spacecraft-gijinka/assets/space-background.gif');
    background-attachment: fixed;
    background-color: #000000;
    overflow-x: hidden;
}

/* https://scripted.neocities.org/miscellaneous */
/* https://pastebin.com/xXeAiC5P */
body::before {
    content: " ";
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: linear-gradient(rgba(18, 16, 16, 0) 50%, rgba(0, 0, 0, 0.25) 50%), linear-gradient(90deg, rgba(255, 0, 0, 0.06), rgba(0, 255, 0, 0.02), rgba(0, 0, 255, 0.06));
    z-index: 10;
    background-size: 100% 2px, 3px 100%;
    pointer-events: none;
}

body::after {
    content: " ";
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: rgba(18, 16, 16, 0.1);
    opacity: 0;
    z-index: 10;
    pointer-events: none;
    animation: flicker 8s infinite;
}

@keyframes flicker {
    0% {
        opacity: 0.27861;
    }

    5% {
        opacity: 0.34769;
    }

    10% {
        opacity: 0.23604;
    }

    15% {
        opacity: 0.90626;
    }

    20% {
        opacity: 0.18128;
    }

    25% {
        opacity: 0.83891;
    }

    30% {
        opacity: 0.65583;
    }

    35% {
        opacity: 0.67807;
    }

    40% {
        opacity: 0.26559;
    }

    45% {
        opacity: 0.84693;
    }

    50% {
        opacity: 0.96019;
    }

    55% {
        opacity: 0.08594;
    }

    60% {
        opacity: 0.20313;
    }

    65% {
        opacity: 0.71988;
    }

    70% {
        opacity: 0.53455;
    }

    75% {
        opacity: 0.37288;
    }

    80% {
        opacity: 0.71428;
    }

    85% {
        opacity: 0.70419;
    }

    90% {
        opacity: 0.7003;
    }

    95% {
        opacity: 0.36108;
    }

    100% {
        opacity: 0.24387;
    }
}

.title-container {
    display: flex;
    gap: 1em;
    align-items: center;
    margin: 2em -100px;
}

.title {
    font-family: 'Orbitronio';
    font-style: italic;
    font-size: 65px;
    line-height: 1em;
    color: #9404bc;

    -webkit-text-stroke: 1px #fbf0ff;
    background: linear-gradient(to right, #9404bc 50%, #f0b400);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    filter: drop-shadow(4px 4px #f0b400) drop-shadow(0px 0px 5px #fbf0ff) drop-shadow(0px 0px 13px #f0b400);
}

.title-animation {
    animation: 3.5s ease infinite title-animation;
}

@keyframes title-animation {
    0% {
        transform: rotate(-10deg) scale(.8);
        letter-spacing: 0;
    }

    50% {
        transform: rotate(-5deg) scale(1);
        letter-spacing: 7px;
    }

    100% {
        transform: rotate(-10deg) scale(.8);
        letter-spacing: 0;
    }
}

h2 {
    font-family: 'Nasalization';
    font-weight: bold;
    font-size: 33px;
    color: #fbf0ff;
    background: linear-gradient(to right, #9404bc 50%, transparent);
    padding: 0 3px;
}

h3 {
    font-family: 'Nasalization';
    font-weight: bold;
    font-size: 20px;
    color: #f0b400;
    padding: 0 3px;
}

p,
ul,
ol {
    font-family: 'Pixel Operator';
    font-size: 16px;
    line-height: 1.2em;
    color: #fbf0ff;
}

a {
    background: linear-gradient(currentColor 0 0) bottom left / var(--underline-width, 0%) 0.1em no-repeat;
    color: #f0b400;
    text-decoration: none;
    transition: background-size 0.4s, color .2s;
}

a:focus,
a:hover,
a:active {
    color: #9404bc;
    --underline-width: 100%;
}

.timeline-container a {
    color: #fbf0ff;
    text-decoration: underline;
    --underline-width: none;
}

.timeline-container a:focus,
.timeline-container a:hover,
.timeline-container a:active {
    color: #f0b400;
    font-style: italic;
}

a.purple {
    background: linear-gradient(#9404bc 0 0) bottom left / var(--width, 0%) 100% no-repeat;
    color: #fbf0ff;
    display: inline-block;
    text-decoration: none;
    transition: background-size 0.4s, transform 0.2s, letter-spacing 0.4s;
}

a.purple:link,
a.purple:visited,
a.purple:active {
    text-decoration: none;
    color: #fbf0ff;
}

a.purple:focus,
a.purple:hover {
    font-weight: bold;
    color: #fbf0ff;
    letter-spacing: 3px;
    transform: scale(1.1);
    --width: 100%;
}

.sidebar {
    font-family: 'Pixel Operator Bold';
    font-size: 30px;
    color: #fbf0ff;

    display: flex;
    flex-direction: column;
    position: fixed;
    z-index: 5;
}

.sidebar span {
    width: fit-content;
}

.sidebar img {
    width: 30px;
    padding: 10px;
    transition: all 1s ease-in-out;
}

.sidebar span:hover img {
    transform: rotate(360deg) scale(1.3);
    filter: drop-shadow(0px 0px 10px #f0b400) drop-shadow(0px 0px 2px #f0b400) drop-shadow(0px 0px 3px #fbf0ff);
}

.mobile-sidebar {
    font-family: 'Pixel Operator Bold';
    font-size: 24px;
    color: #fbf0ff;

    display: flex;
    font-size: 24px;
    margin: 1em 0;
    gap: 10px;

}

.mobile-sidebar span {
    width: fit-content;
}

.mobile-sidebar img {
    width: 20px;
    padding: 10px;
}

.box {
    border: solid 5px #9404bc;
    border-radius: 10px;
    background-color: #19113d;
    background-size: 20px 20px;
    background-image: linear-gradient(to top, #9404bc45 2px, transparent 0px);
    padding: 0px 20px;
    /* offset-x / offset-y / blur-radius / spread-radius */
    box-shadow: 0px 0px 8px 3px #f0b400;
    margin: 8px;

    transition: box-shadow .3s;
}

.box:hover {
    box-shadow: 0px 0px 8px 6px #f0b400;
}

.skew {
    background: linear-gradient(to bottom, #9404bc79 50%, transparent);

    transform: skew(5deg, 5deg) rotate(-5deg);
    transition: box-shadow .3s;
}

.skew h2 {
    font-family: 'Nasalization';
    font-weight: bold;
    font-size: 33px;
    color: #fbf0ff;
    background: linear-gradient(to right, #9404bc 50%, #f0b400);
    padding: 5px 10px;
}

.skew p,
.skew ul,
.skew ol {
    padding-bottom: 10px;

    transform: skew(-5deg, -5deg) rotate(5deg);
    transition: box-shadow .3s;
}

.skew:hover {
    box-shadow: 0px 0px 8px 6px #f0b400;
}

.animate-up-down-1 {
    animation: up-down-1 2s ease-in-out infinite alternate;
}

@keyframes up-down-1 {
    0% {
        transform: translateY(0);
    }

    100% {
        transform: translateY(-100px);
    }
}

.animate-up-down-2 {
    animation: up-down-2 2.5s ease-in-out infinite alternate;
}

@keyframes up-down-2 {
    0% {
        transform: translateY(80px);
    }

    100% {
        transform: translateY(0px);
    }
}

.glow {
    filter: drop-shadow(0px 0px 4px #f2f3f4aa) drop-shadow(0px 0px 10px #f0b400) saturate(120%);
    z-index: 5;

    user-select: none;
}

.decor {
    position: absolute;
    z-index: 1;
    display: block;
    user-select: none;
    filter: drop-shadow(-2px -2px 2px #f0b400) drop-shadow(2px 2px 4px #9404bc);
}

.tiltimg {
    transform: rotate(var(--initial-tiltimg));
    animation: 1.5s ease infinite tilt-animation;
}

@keyframes tilt-animation {
    0% {
        transform: rotate(calc(var(--initial-tiltimg) + 15deg));
    }

    50% {
        transform: rotate(var(--initial-tiltimg));
    }

    100% {
        transform: rotate(calc(var(--initial-tiltimg) + 15deg));
    }
}

@media (max-width: 600px) {
    .decor {
        display: none;
    }

    .skew {
        transform: skew(0deg, 0deg) rotate(0deg) scale(1);
    }

    .skew p,
    .skew ul,
    .skew ol {
        padding-bottom: 10px;

        transform: skew(0deg, 0deg) rotate(0deg);
        transition: box-shadow .3s;
    }

}

#tvSection a {
    background: none;
    color: #000000;
}

#tvSection a:hover,
a:focus,
a:active {
    color: #9404bc;
    --underline-width: none;
}

#tvSection img {
    user-select: none;
}

#tvSection i {
    font-size: 30px;
    transition: all .3s ease;
    filter: drop-shadow(0px 0px 5px #f0b400) drop-shadow(0px 0px 2px #f0b400) drop-shadow(0px 0px 3px #fbf0ff);
}

#tvSection i:hover {
    transform: scale(1.3);
}

#zoom-in-box {
    transition: all .5s ease;
}

#zoom-in-box:hover {
    transform: scale(1.1);
}

.ocs-container {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 1em;

    font-family: 'Pixel Operator Bold';
    font-size: 25px;
    color: #fbf0ff;
}

.oc {
    flex: 1 1 30%;
    max-width: 33.3%;
}

.oc img {
    filter: saturate(110%);
}

.img-hearthover {
    transition: all 0.5s;
    display: block;
    transition: 1s ease;
    -webkit-mask-image: url(/svg/heart-svgrepo.svg);
    -webkit-mask-size: 230%;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-position: center;
}

.img-hearthover:hover {
    transition: all 0.5s;
    -webkit-mask-image: url(/svg/heart-svgrepo.svg);
    -webkit-mask-size: 100%;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-position: center;
}

@font-face {
    font-family: 'Orbitronio';
    src: url('/fonts/orbitronio.ttf');
}

@font-face {
    font-family: 'Nasalization';
    src: url('/fonts/nasalization.otf');
}

@font-face {
    font-family: 'Pixel Operator';
    src: url('/fonts/pixel-operator-mono.ttf');
}

@font-face {
    font-family: 'Pixel Operator Bold';
    src: url('/fonts/pixel-operator-mono-bold.ttf');
}